libzypp: zypp::target::rpm Namespace Reference

libzypp 17.36.6

Namespaces | Classes | Enumerations | Functions | Variables
zypp::target::rpm Namespace Reference

## Namespaces
namespace | internal

## Classes
struct | _dumpPath
class | BinHeader
struct | CleanupPackageReportSA
struct | CommitScriptReportSA
struct | FileInfo
class | GlobalRpmInitException
struct | HeaderEntryGetter
| Helper for header data retieval. More...
struct | InstallResolvableReport
struct | InstallResolvableReportSA
struct | KeyRingSignalReceiver
struct | KeyRingSignals
| Internal connection to rpm database. More...
class | librpmDb
| Manage access to librpm database. More...
struct | RebuildDBReport
struct | RemoveResolvableReport
struct | RemoveResolvableReportSA
class | RpmAccessBlockedException
class | RpmDb
| Interface to the rpm program. More...
class | RpmDbAlreadyOpenException
class | RpmDbConvertException
class | RpmDbNotOpenException
class | RpmDbOpenException
class | RpmException
| Just inherits Exception to separate media exceptions. More...
class | RpmHeader
| Wrapper class for rpm header struct. More...
class | RpmInitException
struct | RpmInstallReport
class | RpmInvalidRootException
class | RpmNullDatabaseException
struct | RpmRemoveReport
class | RpmSubprocessException
class | RpmTransactionFailedException
struct | SingleTransReport
| Report active throughout the whole rpm transaction. More...
struct | TransactionReportSA

## Enumerations
enum | RpmInstFlag { RPMINST_NONE = 0x0000 , RPMINST_EXCLUDEDOCS = 0x0001 , RPMINST_NOSCRIPTS = 0x0002 , RPMINST_FORCE = 0x0004 , RPMINST_NODEPS = 0x0008 , RPMINST_IGNORESIZE = 0x0010 , RPMINST_JUSTDB = 0x0020 , RPMINST_NODIGEST = 0x0040 , RPMINST_NOSIGNATURE = 0x0080 , RPMINST_NOUPGRADE = 0x0100 , RPMINST_TEST = 0x0200 , RPMINST_NOPOSTTRANS = 0x0400 , RPMINST_ALLOWDOWNGRADE = 0x0800 , RPMINST_REPLACEFILES = 0x1000 , RPMINST_ALLOWUNTRUSTED = 0x2000 }
| Bits representing rpm installation options. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const librpmDb::db_const_iterator &obj)
std::ostream & | operator<< (std::ostream &str, const _dumpPath &obj)
_dumpPath | dumpPath (const Pathname &root_r, const Pathname &sub_r)
| dumpPath iomaip to dump '(root_r)sub_r' output,
unsigned | diffFiles (const std::string &file1, const std::string &file2, std::string &out, int maxlines)
std::ostream & | operator<< (std::ostream &str, RpmDb::CheckPackageResult obj)
std::ostream & | operator<< (std::ostream &str, const RpmDb::CheckPackageDetail &obj)

## Variables
static shared_ptr< KeyRingSignalReceiver > | sKeyRingReceiver

## Enumeration Type Documentation

## ◆ RpmInstFlag

enum zypp::target::rpm::RpmInstFlag

Bits representing rpm installation options.

Use RpmInstFlags as a type-safe way of storing OR-combinations.

See also
  RpmDb::installPackage(), RpmDb::removePackage(),

Enumerator
RPMINST_NONE |
RPMINST_EXCLUDEDOCS |
RPMINST_NOSCRIPTS |
RPMINST_FORCE |
RPMINST_NODEPS |
RPMINST_IGNORESIZE |
RPMINST_JUSTDB |
RPMINST_NODIGEST |
RPMINST_NOSIGNATURE |
RPMINST_NOUPGRADE |
RPMINST_TEST |
RPMINST_NOPOSTTRANS |
RPMINST_ALLOWDOWNGRADE |
RPMINST_REPLACEFILES |
RPMINST_ALLOWUNTRUSTED |

Definition at line 37 of file RpmFlags.h.

## Function Documentation

## ◆ operator<<() [1/4]

std::ostream & zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | const librpmDb::db_const_iterator & | obj )
| related

Definition at line 412 of file librpmDb.cc.

## ◆ operator<<() [2/4]

std::ostream & zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | const _dumpPath & | obj )
| inline

Definition at line 38 of file librpmDb.h.

## ◆ dumpPath()

_dumpPath zypp::target::rpm::dumpPath | ( | const Pathname & | root_r,
|  | const Pathname & | sub_r )
| inline

dumpPath iomaip to dump '(root_r)sub_r' output,

Definition at line 42 of file librpmDb.h.

## ◆ diffFiles()

unsigned zypp::target::rpm::diffFiles | ( | const std::string & | file1,
|  | const std::string & | file2,
|  | std::string & | out,
|  | int | maxlines )

Definition at line 163 of file RpmDb.cc.

## ◆ operator<<() [3/4]

std::ostream & zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | RpmDb::CheckPackageResult | obj )

Definition at line 2211 of file RpmDb.cc.

## ◆ operator<<() [4/4]

std::ostream & zypp::target::rpm::operator<< | ( | std::ostream & | str,
|  | const RpmDb::CheckPackageDetail & | obj )

Definition at line 2235 of file RpmDb.cc.

## Variable Documentation

## ◆ sKeyRingReceiver

shared_ptr<KeyRingSignalReceiver> zypp::target::rpm::sKeyRingReceiver
| static

Definition at line 161 of file RpmDb.cc.